com.independentsoft.exchange

## Class StreamingSubscription

- java.lang.Object
- - com.independentsoft.exchange.Subscription
  - - com.independentsoft.exchange.StreamingSubscription

-     public class StreamingSubscription
      extends Subscription

  Represents a subscription to a pull-based event notification subscription.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingSubscription()` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(boolean subscribeToAllFolders, EventType eventType)` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(boolean subscribeToAllFolders, java.util.List<EventType> eventTypes)` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(FolderId folderId, EventType eventType)` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(FolderId folderId, java.util.List<EventType> eventTypes)` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(java.util.List<FolderId> folders, java.util.List<EventType> eventTypes)` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(StandardFolder standardFolder, EventType eventType)` Initializes a new instance of the StreamingSubscription class.
    `StreamingSubscription(StandardFolder standardFolder, java.util.List<EventType> eventTypes)` Initializes a new instance of the StreamingSubscription class.

  - ### Method Summary

    - ### Methods inherited from class com.independentsoft.exchange.Subscription

      `getEventTypes, getFolders, getWatermark, isSubscribeToAllFolders, setSubscribeToAllFolders, setWatermark`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingSubscription

          public StreamingSubscription()

      Initializes a new instance of the StreamingSubscription class.

    - #### StreamingSubscription

          public StreamingSubscription(boolean subscribeToAllFolders,
                                       EventType eventType)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `subscribeToAllFolders` - the subscribe to all folders
        `eventType` - the event type

    - #### StreamingSubscription

          public StreamingSubscription(boolean subscribeToAllFolders,
                                       java.util.List<EventType> eventTypes)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `subscribeToAllFolders` - the subscribe to all folders
        `eventTypes` - the event types

    - #### StreamingSubscription

          public StreamingSubscription(FolderId folderId,
                                       EventType eventType)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type

    - #### StreamingSubscription

          public StreamingSubscription(FolderId folderId,
                                       java.util.List<EventType> eventTypes)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventTypes` - the event types

    - #### StreamingSubscription

          public StreamingSubscription(StandardFolder standardFolder,
                                       EventType eventType)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type

    - #### StreamingSubscription

          public StreamingSubscription(StandardFolder standardFolder,
                                       java.util.List<EventType> eventTypes)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventTypes` - the event types

    - #### StreamingSubscription

          public StreamingSubscription(java.util.List<FolderId> folders,
                                       java.util.List<EventType> eventTypes)

      Initializes a new instance of the StreamingSubscription class.
      Parameters:
        `folders` - the folders
        `eventTypes` - the event types